/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"memory_routine.h"
#include	"mlong_char.h"
#include	"xl.h"

void gc_gb_sym_field();

void
set_attribute(XL_SEXP * sym,
	L_CHAR * name,
	L_CHAR * data)
{
XL_SYM_FIELD * sf;
	if ( get_type(sym) != XLT_SYMBOL )
		return; 
	sf = mmalloc(sizeof(*sf),gc_gb_sym_field);
	sf->name = ll_copy_mstr(name);
	sf->data = ll_copy_mstr(data);
	sf->next = sym->symbol.field;
	sym->symbol.field = sf;
}